Update Instance
Updates instance's name in the current context or by its ID. By default the instance will be determined by the context of the request, e.g. the host header. You can optionally pass an InstanceID to update a specific instance. This requires additional permissions.
Required permissions:
iam.writesystem.instance.write(if InstanceID is set)
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://loading/zitadel.instance.v2.InstanceService/UpdateInstance" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "instanceName": "string" }'{
"changeDate": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Was this page helpful?
Remove Trusted Domain
Remove Trusted Domain: Removes a Trusted Domain from the instance. By default the instance will be determined by the context of the request, e.g. the host header. You can optionally pass an InstanceID to list the domains...
Project API
Explore the Project API operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.